<div class="import-emails">
  <h2>{{t "title-import-emails"}}</h2>
  <p>{{t "message-import-emails"}}</p>
  <p>
    <a
      href="https://docs.giscollective.com/en/manage/newsletters/#importing-emails"
      target="_blank"
      rel="noopener noreferrer"
    >
      Learn more how to prepare your email list.
    </a>
  </p>

  <div class="input-options row g-0 mb-4">
    {{!-- template-lint-disable no-invalid-interactive --}}
    <div class="col col-md-4 col-file-upload {{if this.isFileUpload 'selected'}}" {{on 'click' (fn this.setMode "file-upload")}}>
      <div class="form-check">
        <FaIcon @icon="upload" class="float-end m-2" @size="2x" />

        <Label @value={{t "upload a file"}} class="form-check-label label-file-upload" as |id|>
          <input
            class="form-check-input chk-file-upload"
            type="radio"
            name="input-options"
            checked={{this.isFileUpload}}
            id={{id}}
            {{on 'change' (fn this.setMode "file-upload")}}
          />
        </Label>

        <p>
          {{t "message-upload-email-file"}}
        </p>
      </div>
    </div>

    {{!-- template-lint-disable no-invalid-interactive --}}
    <div class="col col-md-4 col-copy-paste {{if this.isCopyPaste 'selected'}}" {{on "click" (fn this.setMode "copy-paste")}}>
      <div class="form-check">
        <FaIcon @icon="copy" class="float-end m-2" @size="2x" />

        <Label @value={{t "copy and paste"}} class="form-check-label label-copy-paste" as |id|>
          <input
            class="form-check-input chk-copy-paste"
            type="radio"
            name="input-options"
            checked={{this.isCopyPaste}}
            id={{id}}
            {{on 'change' (fn this.setMode "copy-paste")}}
          />
        </Label>

        <p>
          {{t "message-copy-paste-emails"}}
        </p>
      </div>
    </div>
  </div>

  <div class="mb-3">
    {{#if this.isFileUpload}}
      <Input::TextFile @onChange={{this.change}} @accept="text/plain, text/csv" class="input-text-file" />
    {{/if}}

    {{#if this.isCopyPaste}}
      <Input::TextEmailList @onChange={{this.change}} class="input-copy-paste" />
    {{/if}}
  </div>

  <div class="mb-3 form-check p-0">
    <Label @after={{true}} @value={{t "replace existing emails"}} as |id|>
      <Input id={{id}} @type="checkbox" @checked={{this.replace}} class="chk-replace"/>
    </Label>
  </div>

  <Input::Button
    @action={{this.onSave}}
    @disabled={{this.hasNoValue}}
    class="btn btn-primary btn-submit">

    {{capitalize (t "import")}}
  </Input::Button>
</div>